﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCIC_CHANNELINVACC', 'T_OCIC_CHANNELINVACC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHANNELINVACC_KEY') CREATE UNIQUE INDEX IDX_OCIC_CHANNELINVACC_KEY ON T_OCIC_CHANNELINVACC ( FUPDATEKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHANNELINVACC_ITEMORG') CREATE INDEX IDX_OCIC_CHANNELINVACC_ITEMORG ON T_OCIC_CHANNELINVACC ( FCHANNELID ,FITEMID ,FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHANNELINVACC_LOTCHAN') CREATE INDEX IDX_OCIC_CHANNELINVACC_LOTCHAN ON T_OCIC_CHANNELINVACC ( FLOTNUM ,FCHANNELID );


 EXEC P_ALTERPK 'PK_OCIC_CHANNELINVACCLOG', 'T_OCIC_CHANNELINVACCLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHANNELINVACCLOG_CHI') CREATE INDEX IDX_OCIC_CHANNELINVACCLOG_CHI ON T_OCIC_CHANNELINVACCLOG ( FCHANNELID ,FITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHANNELINVACCLOG_BID') CREATE INDEX IDX_OCIC_CHANNELINVACCLOG_BID ON T_OCIC_CHANNELINVACCLOG ( FBILLID ,FBILLENTRYID );


 EXEC P_ALTERPK 'PK_T_OCIC_INBILL', 'T_OCIC_INBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_INBILL_FBILLNO') CREATE INDEX IDX_OCIC_INBILL_FBILLNO ON T_OCIC_INBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCIC_INBILLENTRY', 'T_OCIC_INBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_LNENTRY_FID') CREATE INDEX IDX_OCIC_LNENTRY_FID ON T_OCIC_INBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCIC_INBILLENTRY_F', 'T_OCIC_INBILLENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_INBILLENTRY_F_FID') CREATE INDEX IDX_OCIC_INBILLENTRY_F_FID ON T_OCIC_INBILLENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCIC_INBILLENTRY_S', 'T_OCIC_INBILLENTRY_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_INBILL_S_FID') CREATE INDEX IDX_OCIC_INBILL_S_FID ON T_OCIC_INBILLENTRY_S ( FID );


 EXEC P_ALTERPK 'PK_OCIC_INBILLENTRY_W', 'T_OCIC_INBILLENTRY_W', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_INBILL_W_FID') CREATE INDEX IDX_OCIC_INBILL_W_FID ON T_OCIC_INBILLENTRY_W ( FID );


 EXEC P_ALTERPK 'PK_OCIC_INBILLSERIA', 'T_OCIC_INBILLSERIA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_INBILLSERIAL_FENTRYID') CREATE INDEX IDX_OCIC_INBILLSERIAL_FENTRYID ON T_OCIC_INBILLSERIA ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCIC_LOT', 'T_OCIC_LOT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_LOT_NUMBER') CREATE INDEX IDX_OCIC_LOT_NUMBER ON T_OCIC_LOT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_LOT_ITEMID') CREATE INDEX IDX_OCIC_LOT_ITEMID ON T_OCIC_LOT ( FITEMID );


 EXEC P_ALTERPK 'PK_OCIC_LOTDATE', 'T_OCIC_LOTDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_LOTDATE_ID') CREATE INDEX IDX_OCIC_LOTDATE_ID ON T_OCIC_LOTDATE ( FID );


 EXEC P_ALTERPK 'PK_OCIC_LOTMOVETRACK', 'T_OCIC_LOTMOVETRACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_LMR_BILLID_ENTITYID') CREATE INDEX IDX_OCIC_LMR_BILLID_ENTITYID ON T_OCIC_LOTMOVETRACK ( FBILLID ,FBILLENTITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_LMR_FLOTID') CREATE INDEX IDX_OCIC_LMR_FLOTID ON T_OCIC_LOTMOVETRACK ( FLOTID );


 EXEC P_ALTERPK 'PK_OCIC_CHNLOUT', 'T_OCIC_CHNLOUT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUT_NO') CREATE INDEX IDX_OCIC_CHNLOUT_NO ON T_OCIC_CHNLOUT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUT_ORG') CREATE INDEX IDX_OCIC_CHNLOUT_ORG ON T_OCIC_CHNLOUT ( FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUT_OUT') CREATE INDEX IDX_OCIC_CHNLOUT_OUT ON T_OCIC_CHNLOUT ( FOUTCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUT_ORDER') CREATE INDEX IDX_OCIC_CHNLOUT_ORDER ON T_OCIC_CHNLOUT ( FENQUIRYCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUT_TYPE') CREATE INDEX IDX_OCIC_CHNLOUT_TYPE ON T_OCIC_CHNLOUT ( FBILLTYPEID );


 EXEC P_ALTERPK 'PK_OCIC_CHNLOUT_ENTRY', 'T_OCIC_CHNLOUT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUTE_FID') CREATE INDEX IDX_OCIC_CHNLOUTE_FID ON T_OCIC_CHNLOUT_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCIC_CHNLOUT_ENTRY_F', 'T_OCIC_CHNLOUT_ENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUTEF_FID') CREATE INDEX IDX_OCIC_CHNLOUTEF_FID ON T_OCIC_CHNLOUT_ENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCIC_CHNLOUT_ENTRY_R', 'T_OCIC_CHNLOUT_ENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUTER_FID') CREATE INDEX IDX_OCIC_CHNLOUTER_FID ON T_OCIC_CHNLOUT_ENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_OCIC_CHNLOUT_SN', 'T_OCIC_CHNLOUT_SN', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCIC_CHNLOUTSN_ENTRYID') CREATE INDEX IDX_OCIC_CHNLOUTSN_ENTRYID ON T_OCIC_CHNLOUT_SN ( FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCIC_constraint.sql **/
